// Copyright (c) 2015, InfluxFramework LLC
// MIT License. See license.txt

influxframework.views.ReportFactory = class ReportFactory extends influxframework.views.Factory {
	make(route) {
		const _route = ["List", route[1], "Report"];

		if (route[2]) {
			// custom report
			_route.push(route[2]);
		}

		influxframework.set_route(_route);
	}
};
